possible_vpu <- c("01", "08", "10L", "15", "02", "04", "05", "06", 
                  "07", "09", "03S", "03W", 
                  "03N", "10U", "11", "12", 
                  "13", "14",  "16", "17", "18")

library(sbtools)

check_auth <- function() {
  if(!sbtools::is_logged_in())
    authenticate_sb(Sys.getenv("sb_user", unset=""), Sys.getenv("sb_pass", unset=""))
}

for(VPU in possible_vpu) {
  
  source("R/config.R")
  
  if(is.na(Sys.getenv("sb_user", unset=NA))){
    message("upload skipped due to lack of login info")
  } else {
    
    sb_reference <- "61295190d34e40dd9c06bcd7"
    sb_refactor <- "61fbfdced34e622189cb1b0a"
    sb_gf <- "60be1502d34e86b9389102cc"
    
    check_auth()
    message(nav_gpkg)
    sbtools::item_replace_files(sb_reference, nav_gpkg)

    check_auth()
    message(rfc_gpkg)
    sbtools::item_replace_files(sb_refactor, rfc_gpkg)


    check_auth()
    message(gf_gpkg)
    sbtools::item_replace_files(sb_gf, gf_gpkg)

  }

  rm(rpu_code)
  
}
